image: python:3.7

stages:
  - deploy

deploy_development:
  stage: deploy
  before_script:
    - pip install twine setuptools wheel
    - python setup.py sdist bdist_wheel
    - echo "[distutils]" > ~/.pypirc
    - echo "index-servers =" >> ~/.pypirc
    - echo "  pypi-test" >> ~/.pypirc
    - echo "[pypi-test]" >> ~/.pypirc
    - echo "repository=https://test.pypi.org/legacy/" >> ~/.pypirc
    - echo "username=$PYPI_DEPLOY_USERNAME" >> ~/.pypirc
    - echo "password=$PYPI_DEPLOY_PASSWORD" >> ~/.pypirc
  script:
    - twine upload dist/* -r pypi-test
  only:
   - staging

deploy_production:
  stage: deploy
  before_script:
    - if [ -z "$CI_COMMIT_TAG" ]; then exit 0; fi
    - pip install twine setuptools wheel
    - python setup.py sdist bdist_wheel
    - echo "[distutils]" > ~/.pypirc
    - echo "index-servers =" >> ~/.pypirc
    - echo "  pypi" >> ~/.pypirc
    - echo "[pypi]" >> ~/.pypirc
    - echo "repository=https://upload.pypi.org/legacy/" >> ~/.pypirc
    - echo "username=$PYPI_DEPLOY_USERNAME" >> ~/.pypirc
    - echo "password=$PYPI_DEPLOY_PASSWORD" >> ~/.pypirc
  script:
    - twine upload dist/* -r pypi
  only:
  - tags
  except:
  - branches